<template>
  <div class="wrapper" :class="{ 'nav-open': $sidebar.showSidebar }">
    <side-bar
      :background-color="sidebarBackground"
      short-title="Merge"
      title="Merge"
    >
      <template slot="links">
        <sidebar-item
          :link="{
            name: 'Dashboard',
            icon: 'ni ni-tv-2 text-blue',
            path: '/dashboard'
          }"
        />

        <sidebar-item :link="{name: 'Materializations', icon: 'fa fa-cubes text-blue', path: '/materializations'}"/>
        <sidebar-item :link="{name: 'Nodes', icon: 'fa fa-server text-blue', path: '/nodes'}"/>
        <sidebar-item :link="{name: 'Networks', icon: 'fa fa-share-alt text-blue', path: '/networks'}"/>
        <sidebar-item :link="{name: 'Images', icon: 'fa fa-save text-blue', path: '/images'}"/>
        <sidebar-item :link="{name: 'Emulators', icon: 'fa fa-tachometer-alt text-blue', path: '/emulators'}"/>
        <sidebar-item :link="{name: 'Simulators', icon: 'ni ni-atom text-blue', path: '/simulators'}"/>
        <sidebar-item :link="{name: 'Storage', icon: 'fa fa-database text-blue', path: '/storage'}"/>
        <sidebar-item :link="{name: 'Rex', icon: 'fa fa-cogs text-blue', path: '/rex'}"/>
        <sidebar-item :link="{name: 'Driver', icon: 'fa fa-cloud text-blue', path: '/driver'}"/>

      </template>
    </side-bar>
    <div class="main-content" :data="sidebarBackground">
      <dashboard-navbar></dashboard-navbar>

      <div @click="toggleSidebar">
        <fade-transition :duration="200" origin="center top" mode="out-in">
          <!-- your content here -->
          <router-view></router-view>
        </fade-transition>
        <content-footer v-if="!$route.meta.hideFooter"></content-footer>
      </div>
    </div>
  </div>
</template>
<script>
  import DashboardNavbar from './DashboardNavbar.vue';
  import ContentFooter from './ContentFooter.vue';
  import { FadeTransition } from 'vue2-transitions';

  export default {
    components: {
      DashboardNavbar,
      ContentFooter,
      FadeTransition
    },
    data() {
      return {
        sidebarBackground: 'blue' //vue|blue|orange|green|red|primary
      };
    },
    methods: {
      toggleSidebar() {
        if (this.$sidebar.showSidebar) {
          this.$sidebar.displaySidebar(false);
        }
      }
    }
  };
</script>
<style lang="scss">
</style>
